import 'package:flutter/material.dart';
import 'package:hyzp_ybqx/components/dioFun.dart';

//import 'package:hyzp_ybqx/widget/player_pro.dart';
import '../../../components/commonFun.dart';

//确认对话框
class dwInfoDialog extends Dialog {
  dwInfoDialog({@required this.id, this.title = "", @required this.dwIndex, this.content});

  int dwIndex;
  String id;
  String title;
  String content;
  bool ret = false;

  @override
  Widget build(BuildContext context) {
    Size mediaSize = MediaQuery.of(context).size;
    return WillPopScope(
      child: Material(
        type: MaterialType.transparency,
        child: Container(
          padding: EdgeInsets.only(top: 116),
          alignment: Alignment(0, -1),
          color: Colors.black12,
          child: Container(
            // height: 260,
            // width: 300,
            height: mediaSize.height * 0.51,
            width: mediaSize.width * 0.95,
            //color: Colors.white,  //Cannot provide both a color and a decoration
            decoration: BoxDecoration(
              color: Colors.white,
              border: Border.all(color: Colors.blue, width: 2.0),
              borderRadius: BorderRadius.all(
                Radius.circular(5),
              ),
            ),
            child: Column(
              children: <Widget>[
                Padding(
                  padding: EdgeInsets.fromLTRB(10, 10, 10, 0),
                  child: Stack(
                    children: <Widget>[
                      Align(
                        alignment: Alignment.center,
                        child: Text(
                          "${this.title}",
                          style: TextStyle(
                            fontSize: 20.0,
                          ),
                        ),
                      ),
                      Align(
                        alignment: Alignment.centerRight,
                        child: InkWell(
                          child: Icon(Icons.close),
                          onTap: () {
                            getingDwVideo = false;
                            Navigator.pop(context, ret);
                          },
                        ),
                      )
                    ],
                  ),
                ),
                Divider(color: Colors.blue),
                Container(
                  padding: EdgeInsets.fromLTRB(20, 10, 20, 10),
                  width: double.infinity,
                  height: mediaSize.height * 0.28,
                  child: SingleChildScrollView(
                    child: Text(content, style: TextStyle(fontSize: 18.0, color: Colors.blue)),
                  ),
                ),
                SizedBox(height: 10),
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                  children: <Widget>[
                    RaisedButton(
                      onPressed: () {
                        ret = true;
                        //getDwspUrl(index: dwIndex, context: context);
                        getDwspUrlNew(indexRecord: dwIndex, context: context);
                      },
                      child: Text("视频"),
                    ),
                    RaisedButton(
                      onPressed: () async {
                        ret = true;
                        getingDwVideo = false;
                        Navigator.pop(context, ret); //关闭弹框，返回sRet
                      },
                      child: Text("确认"),
                    ),
                    RaisedButton(
                      child: Text("取消"),
                      onPressed: () async {
                        getingDwVideo = false;
                        Navigator.pop(context, ret); //关闭弹框，返回sRet
                      },
                    )
                  ],
                ),
              ],
            ),
          ),
        ),
      ),
      onWillPop: () {
        // 屏蔽点击返回键的操作
        getingDwVideo = false;
        Navigator.pop(context, ret);
      },
    );
  }
}
